Bug 235622 (qt5-5.12.1) - [exp-run] Update Qt5 to 5.12.1
Summary: [exp-run] Update Qt5 to 5.12.1
Status: Closed FIXED
Alias: qt5-5.12.1
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-09 15:17 UTC by Tobias C. Berner
Modified: 2019-02-12 17:44 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (91.21 KB, patch)
2019-02-09 15:17 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2019-02-09 15:17:32 UTC
Created attachment 201870 [details]
v1

Hi there

kde@ would like to ask for an exp-run to upgrade Qt5 to 5.12.1.

The patched can be found here:
https://people.freebsd.org/~tcberner/patches/qt5-5.12.1.v1.diff


mfg Tobias
Comment 2 commit-hook freebsd_committer 2019-02-11 05:08:15 UTC
A commit references this bug:

Author: tcberner
Date: Mon Feb 11 05:07:41 UTC 2019
New revision: 492667
URL: https://svnweb.freebsd.org/changeset/ports/492667

Log:
  deskutils/basket: fix plist

  - the so version is given by the Qt version.

  PR:		235622

Changes:
  head/deskutils/basket/Makefile
  head/deskutils/basket/pkg-plist
Comment 3 Tobias C. Berner freebsd_committer 2019-02-11 11:25:38 UTC
Hi there

Here's the update patch which should fix the remaining two too.

https://people.freebsd.org/~tcberner/patches/qt5-5.12.1.v2.diff


mfg Tobias
Comment 4 Antoine Brodin freebsd_committer 2019-02-12 06:48:11 UTC
Exp-run looks fine
Comment 5 commit-hook freebsd_committer 2019-02-12 17:43:54 UTC
A commit references this bug:

Author: tcberner
Date: Tue Feb 12 17:43:13 UTC 2019
New revision: 492793
URL: https://svnweb.freebsd.org/changeset/ports/492793

Log:
  Update Qt5 to 5.12.1

  Release announcement:
    https://blog.qt.io/blog/2019/02/01/qt-5-12-1-released/
  Changelog:
    https://wiki.qt.io/Qt_5.12.1_Change_Files

  - A change was required to qt-dist.mk to always pass LOCALBASE to qmake,
    as Qt5 has been installed to a prefix for some time now, there should
    not be any harm in that, with respect to it picking up installed versions
    of itself during build.

  PR:		235622
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/qt-dist.mk
  head/Mk/Uses/qt.mk
  head/accessibility/qt5-speech/Makefile
  head/comms/qt5-connectivity/Makefile
  head/comms/qt5-sensors/Makefile
  head/comms/qt5-serialbus/Makefile
  head/comms/qt5-serialport/Makefile
  head/databases/qt5-sql/Makefile
  head/databases/qt5-sqldrivers-ibase/Makefile
  head/databases/qt5-sqldrivers-mysql/Makefile
  head/databases/qt5-sqldrivers-odbc/Makefile
  head/databases/qt5-sqldrivers-pgsql/Makefile
  head/databases/qt5-sqldrivers-sqlite2/Makefile
  head/databases/qt5-sqldrivers-sqlite3/Makefile
  head/databases/qt5-sqldrivers-tds/Makefile
  head/devel/qt5/distinfo
  head/devel/qt5/files/extrapatch-mkspecs_common_bsd_bsd.conf
  head/devel/qt5-assistant/Makefile
  head/devel/qt5-assistant/files/patch-src__src.pro
  head/devel/qt5-buildtools/Makefile
  head/devel/qt5-concurrent/Makefile
  head/devel/qt5-core/Makefile
  head/devel/qt5-dbus/Makefile
  head/devel/qt5-designer/Makefile
  head/devel/qt5-designer/files/patch-src__src.pro
  head/devel/qt5-help/Makefile
  head/devel/qt5-help/files/patch-src__assistant__assistant.pro
  head/devel/qt5-help/files/patch-src__src.pro
  head/devel/qt5-linguist/Makefile
  head/devel/qt5-linguist/files/patch-src__src.pro
  head/devel/qt5-linguisttools/Makefile
  head/devel/qt5-linguisttools/files/patch-src__src.pro
  head/devel/qt5-location/Makefile
  head/devel/qt5-location/files/patch-src_plugins_position_position.pro
  head/devel/qt5-location/pkg-plist
  head/devel/qt5-qdbus/Makefile
  head/devel/qt5-qdbus/files/patch-src_src.pro
  head/devel/qt5-qdbusviewer/Makefile
  head/devel/qt5-qdbusviewer/files/patch-src__src.pro
  head/devel/qt5-qdoc/Makefile
  head/devel/qt5-qdoc/files/patch-src_src.pro
  head/devel/qt5-qmake/Makefile
  head/devel/qt5-qmake/pkg-plist
  head/devel/qt5-remoteobjects/Makefile
  head/devel/qt5-script/Makefile
  head/devel/qt5-script/pkg-plist
  head/devel/qt5-scripttools/Makefile
  head/devel/qt5-scxml/Makefile
  head/devel/qt5-testlib/Makefile
  head/devel/qt5-uitools/Makefile
  head/devel/qt5-uitools/files/patch-src__src.pro
  head/emulators/qmc2/files/patch-qmc2_imagechecker.cpp
  head/graphics/qt5-3d/Makefile
  head/graphics/qt5-graphicaleffects/Makefile
  head/graphics/qt5-imageformats/Makefile
  head/graphics/qt5-opengl/Makefile
  head/graphics/qt5-pixeltool/Makefile
  head/graphics/qt5-pixeltool/files/patch-src__src.pro
  head/graphics/qt5-svg/Makefile
  head/graphics/qt5-wayland/Makefile
  head/graphics/qt5-wayland/pkg-plist
  head/misc/qt5-doc/Makefile
  head/misc/qt5-doc/distinfo
  head/misc/qt5-doc/pkg-plist
  head/misc/qt5-examples/distinfo
  head/misc/qt5-examples/pkg-plist
  head/misc/qt5-l10n/Makefile
  head/misc/qt5-l10n/pkg-plist
  head/multimedia/phonon/Makefile
  head/multimedia/phonon/files/
  head/multimedia/phonon/files/patch-git_qt5-5.12.1
  head/multimedia/qt5-multimedia/Makefile
  head/net/qt5-network/Makefile
  head/net/qt5-network/files/patch-src_network_kernel_qnetworkinterface__unix.cpp
  head/net/qt5-networkauth/Makefile
  head/print/qt5-printsupport/Makefile
  head/sysutils/qt5-qtdiag/Makefile
  head/sysutils/qt5-qtpaths/Makefile
  head/sysutils/qt5-qtplugininfo/Makefile
  head/textproc/qt5-xml/Makefile
  head/textproc/qt5-xmlpatterns/Makefile
  head/www/qt5-webchannel/Makefile
  head/www/qt5-webengine/Makefile
  head/www/qt5-webkit/Makefile
  head/www/qt5-websockets/Makefile
  head/www/qt5-websockets-qml/Makefile
  head/www/qt5-webview/Makefile
  head/x11/qt5-qev/Makefile
  head/x11/qt5-x11extras/Makefile
  head/x11-toolkits/qt5-canvas3d/Makefile
  head/x11-toolkits/qt5-charts/Makefile
  head/x11-toolkits/qt5-datavis3d/Makefile
  head/x11-toolkits/qt5-declarative/Makefile
  head/x11-toolkits/qt5-gamepad/Makefile
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-gui/pkg-plist
  head/x11-toolkits/qt5-quickcontrols/Makefile
  head/x11-toolkits/qt5-quickcontrols2/Makefile
  head/x11-toolkits/qt5-uiplugin/Makefile
  head/x11-toolkits/qt5-uiplugin/files/patch-src__src.pro
  head/x11-toolkits/qt5-virtualkeyboard/Makefile
  head/x11-toolkits/qt5-widgets/Makefile
Comment 6 Tobias C. Berner freebsd_committer 2019-02-12 17:44:52 UTC
Committed. Thanks for the exp-run.